xosd_set_shadow_offset(3)

NAME
xosd_set_shadow_offset - Change the shadow-offset of the XOSD window

SYNOPSIS
#include <xosd.h>

int xosd_set_shadow_offset (xosd* osd, int shadow_offset);

DESCRIPTION
To increase readability (and 'cos it looks cool) a black shadow is drawn beneath the main XOSD window. xosd_set_shadow_offset changes the size of this shadow by altering how many pixels the shadow is offset (to the bottom-right) from the main display. One to four pixels usually is sufficient to get a good effect.

ARGUMENTS

osd The on-screen display object to act on.

shadow_offset
    Offset of black shadow from main text, in pixels.

RETURN VALUE
On success, a zero is returned. On error, -1 is returned.

SEE ALSO
xosd_init(3), xosd_display(3).